## WebKitDOMFileList WebKitDOMFileList |

## Functions

WebKitDOMFile * | webkit_dom_file_list_item ()
gulong | webkit_dom_file_list_get_length ()

## Properties

gulong | length | Read

## Types and Values

struct | WebKitDOMFileList

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMFileList

## Description

## Functions

### webkit_dom_file_list_item ()

    WebKitDOMFile *
    webkit_dom_file_list_item (WebKitDOMFileList *self,
                               gulong index);

`webkit_dom_file_list_item` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMFileList |
index | A gulong |

#### Returns

A WebKitDOMFile.

[transfer full]

### webkit_dom_file_list_get_length ()

    gulong
    webkit_dom_file_list_get_length (WebKitDOMFileList *self);

`webkit_dom_file_list_get_length` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMFileList |

#### Returns

A gulong

## Types and Values

### struct WebKitDOMFileList

    struct WebKitDOMFileList;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong FileList:length.

Flags: Read